//
//  AppDelegate.swift
//  Swift-Storyboard
//
//  Created by Dirk Bunar on 28.10.20.
//

import Cocoa
import AppleScriptObjC // ASOC adds its own 'load scripts' method to NSBundle

@NSApplicationMain
class AppDelegate: NSObject, NSApplicationDelegate {

    // AppleScriptObjC object for communicating with Applescript
    var ScriptBridge: ScriptBridge

    override init() {
        // AppleScriptObjC setup
        let dispatchGroup = DispatchGroup()
        dispatchGroup.enter()
        DispatchQueue.global(qos: .userInitiated).async {
            Bundle.main.loadAppleScriptObjectiveCScripts()
            dispatchGroup.leave()
        }
        dispatchGroup.wait()
        // create an instance of MusicBridge script object for Swift code to use
        let ScriptBridgeClass: AnyClass = NSClassFromString("ScriptBridge")!
        self.ScriptBridge = ScriptBridgeClass.alloc() as! ScriptBridge
        super.init()
    }

    func applicationDidFinishLaunching(_ aNotification: Notification) {
        // Insert code here to initialize your application
    }

    func applicationWillTerminate(_ aNotification: Notification) {
        // Insert code here to tear down your application
    }
}

