//
//  ViewController.swift
//  Swift-Storyboard
//
//  Created by Dirk Bunar on 28.10.20.
//

import Cocoa

class ViewController: NSViewController {

    @objc dynamic var textFieldValue: NSString!
    let appDelegate = NSApplication.shared.delegate as! AppDelegate
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view.
        textFieldValue = ""
    }

    override var representedObject: Any? {
        didSet {
        // Update the view, if already loaded.
        }
    }

    @IBAction func button1Clicked(_ sender: NSButton) {
        textFieldValue = appDelegate.ScriptBridge.doFunctionMultipleArgs("A" as NSString, "B" as NSString, "C" as NSString)
    }

    @IBAction func button2Clicked(_ sender: NSButton) {
        let dateFormatterPrint = DateFormatter()
        dateFormatterPrint.dateFormat = "dd.MM.yyyy HH:ss"
        
        appDelegate.ScriptBridge.stringValue = dateFormatterPrint.string( from: NSDate() as Date) as NSString
        textFieldValue = appDelegate.ScriptBridge.doFunction(appDelegate.ScriptBridge.stringValue) as NSString
    }

    @IBAction func button3Clicked(_ sender: NSButton) {
        if let result = appDelegate.ScriptBridge.getRecord(["key1": "A" as NSObject, "key2": "B" as NSObject, "key3": "C" as NSObject])  {
            textFieldValue =  String(format: "Item1: %1$@, Item2: %2$@, Item3: %3$@",result["item1"] as! NSString, result["item2"] as! NSString, result["item3"] as! NSString) as NSString
        }
    }
}


